# Generate AI-based social post content

It looks for previous social posts which match the context in the request 
            and use them to send to the AI to generate similar social post content that mimics tone and style

Endpoint: POST /social-ai/generate-content
Version: 20260701

## Request fields (application/json):

  - `prompt` (string, required)
    Prompt for the AI to generate content

  - `campaignId` (integer)
    Campaign ID to which the content will be generated

  - `businessIds` (array, required)
    List of business IDs to filter the previous social post content

  - `locationIds` (array, required)
    List of location IDs to filter the previous social post content

  - `listingPageIds` (array, required)
    List of listing page IDs to filter the previous social post content

  - `businessPageIds` (array, required)
    List of business page IDs to filter the previous social post content

  - `labels` (array, required)
    List of labels to filter the previous social post content

  - `locationGroupIds` (array, required)
    List of location group IDs to filter the previous social post content

  - `directories` (array, required)
    List of directories to filter the previous social post content

  - `type` (string)
    Type of Social Post to filter the previous social post content

  - `descriptionMaxLength` (integer)
    Description max length

  - `titleMaxLength` (integer)
    Title max length

## Response 200 fields (*/*):

  - `prompt` (string, required)
    Prompt used in the requests

  - `description` (string, required)
    Social Post description generated by the AI

  - `title` (string, required)
    Social Post title generated by the AI

  - `language` (string, required)
    Language detected in the generated content

